Loading...
Searching...
No Matches
apr_rmm.h File Reference

APR-UTIL Relocatable Memory Management Routines. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
`#include "apu.h"`
`#include "apr_anylock.h"`
Include dependency graph for apr_rmm.h:

Go to the source code of this file.

## Typedefs

typedef struct apr_rmm_t | apr_rmm_t
typedef apr_size_t | apr_rmm_off_t

## Functions

apr_status_t | apr_rmm_init (apr_rmm_t **rmm, apr_anylock_t *lock, void *membuf, apr_size_t memsize, apr_pool_t *cont)
apr_status_t | apr_rmm_destroy (apr_rmm_t *rmm)
apr_status_t | apr_rmm_attach (apr_rmm_t **rmm, apr_anylock_t *lock, void *membuf, apr_pool_t *cont)
apr_status_t | apr_rmm_detach (apr_rmm_t *rmm)
apr_rmm_off_t | apr_rmm_malloc (apr_rmm_t *rmm, apr_size_t reqsize)
apr_rmm_off_t | apr_rmm_realloc (apr_rmm_t *rmm, void *entity, apr_size_t reqsize)
apr_rmm_off_t | apr_rmm_calloc (apr_rmm_t *rmm, apr_size_t reqsize)
apr_status_t | apr_rmm_free (apr_rmm_t *rmm, apr_rmm_off_t entity)
void * | apr_rmm_addr_get (apr_rmm_t *rmm, apr_rmm_off_t entity)
apr_rmm_off_t | apr_rmm_offset_get (apr_rmm_t *rmm, void *entity)
apr_size_t | apr_rmm_overhead_get (int n)

## Detailed Description

APR-UTIL Relocatable Memory Management Routines.